Package org.gradle.api.artifacts.component

# Interface ProjectComponentIdentifier

All Superinterfaces:
  `ComponentIdentifier`

public interface ProjectComponentIdentifier extends ComponentIdentifier
An identifier for a component instance that is built as part of the current build.

Since:
  1.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuildIdentifier`
  `getBuild()`
  Identifies the build that contains the project that produces this component.
  `String`
  `getBuildTreePath()`
  Returns a path to the project for the full build tree.
  `String`
  `getProjectName()`
  Returns the simple name of the project that produces this component.
  `String`
  `getProjectPath()`
  Returns the path of the project that produces this component.

  ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentIdentifier

  `getDisplayName`

- ## Method Details

  - ### getBuild

    BuildIdentifier getBuild()
    Identifies the build that contains the project that produces this component.
    Returns:
      The build identifier

  - ### getProjectPath

    String getProjectPath()
    Returns the path of the project that produces this component. This path is relative to the containing build, so for example will return ':' for the root project of a build.
    Since:
      1.10

  - ### getBuildTreePath

    @Incubating String getBuildTreePath()
    Returns a path to the project for the full build tree.
    Returns:
      The build tree path
    Since:
      8.3

  - ### getProjectName

    String getProjectName()
    Returns the simple name of the project that produces this component.
    Since:
      4.5